Index: tests/concurrency/actors/executor.cfa
===================================================================
--- tests/concurrency/actors/executor.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/actors/executor.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -10,14 +10,14 @@
 static int ids = 0;
 struct d_actor { 
-	inline actor;
-	d_actor * gstart;
-	int id, rounds, recs, sends;
+    inline actor;
+    d_actor * gstart;
+    int id, rounds, recs, sends;
 };
 void ?{}( d_actor & this ) with(this) {
-	id = ids++;
-	gstart = (&this + (id / Set * Set - id)); // remember group-start array-element
-	rounds = Set * Rounds;	// send at least one message to each group member
-	recs = 0;
-	sends = 0;
+    id = ids++;
+    gstart = (&this + (id / Set * Set - id)); // remember group-start array-element
+    rounds = Set * Rounds;	// send at least one message to each group member
+    recs = 0;
+    sends = 0;
 }
 
@@ -25,52 +25,53 @@
 
 allocation receive( d_actor & this, d_msg & msg ) with( this ) {
-	if ( recs == rounds ) return Finished;
-	if ( recs % Batch == 0 ) {
-		for ( i; Batch ) {
-			gstart[sends % Set] | shared_msg;
-			sends += 1;
-		}
-	}
-	recs += 1;
-	return Nodelete;
+    if ( recs == rounds ) return Finished;
+    if ( recs % Batch == 0 ) {
+        for ( i; Batch ) {
+            gstart[sends % Set] | shared_msg;
+            sends += 1;
+        }
+    }
+    recs += 1;
+    return Nodelete;
 }
 
 int main( int argc, char * argv[] ) {
-	switch ( argc ) {
+    switch ( argc ) {
 	  case 7:
 		if ( strcmp( argv[6], "d" ) != 0 ) {			// default ?
-			BufSize = ato( argv[6] );
-			if ( BufSize < 0 ) fallthru default;
+			BufSize = atoi( argv[6] );
+			if ( BufSize < 0 ) goto Usage;
 		} // if
 	  case 6:
 		if ( strcmp( argv[5], "d" ) != 0 ) {			// default ?
-			Batch = ato( argv[5] );
-			if ( Batch < 1 ) fallthru default;
+			Batch = atoi( argv[5] );
+			if ( Batch < 1 ) goto Usage;
 		} // if
 	  case 5:
 		if ( strcmp( argv[4], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[4] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[4] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 4:
 		if ( strcmp( argv[3], "d" ) != 0 ) {			// default ?
-			Rounds = ato( argv[3] );
-			if ( Rounds < 1 ) fallthru default;
+			Rounds = atoi( argv[3] );
+			if ( Rounds < 1 ) goto Usage;
 		} // if
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			Set = ato( argv[2] );
-			if ( Set < 1 ) fallthru default;
+			Set = atoi( argv[2] );
+			if ( Set < 1 ) goto Usage;
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Actors = ato( argv[1] );
-			if ( Actors < 1 || Actors <= Set || Actors % Set != 0 ) fallthru default;
+			Actors = atoi( argv[1] );
+			if ( Actors < 1 || Actors <= Set || Actors % Set != 0 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
-			 | " [ actors (> 0 && > set && actors % set == 0 ) | 'd' (default " | Actors
+	  Usage:
+		sout | "Usage: " | argv[0]
+             | " [ actors (> 0 && > set && actors % set == 0 ) | 'd' (default " | Actors
 			 | ") ] [ set (> 0) | 'd' (default " | Set
 			 | ") ] [ rounds (> 0) | 'd' (default " | Rounds
@@ -79,15 +80,16 @@
 			 | ") ] [ buffer size (>= 0) | 'd' (default " | BufSize
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
 
-	executor e{ Processors, Processors, Processors == 1 ? 1 : Processors * 512, true };
+    executor e{ Processors, Processors, Processors == 1 ? 1 : Processors * 512, true };
 
-	sout | "starting";
+    printf("starting\n");
 
-	start_actor_system( e );
+    start_actor_system( e );
 
-	sout | "started";
+    printf("started\n");
 
-	d_actor actors[ Actors ];
+    d_actor actors[ Actors ];
 
 	for ( i; Actors ) {
@@ -95,8 +97,10 @@
 	} // for
 
-	sout | "stopping";
+    printf("stopping\n");
 
-	stop_actor_system();
+    stop_actor_system();
 
-	sout | "stopped";
+    printf("stopped\n");
+
+    return 0;
 }
Index: tests/concurrency/actors/matrix.cfa
===================================================================
--- tests/concurrency/actors/matrix.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
+++ tests/concurrency/actors/matrix.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -0,0 +1,125 @@
+#include <actor.hfa>
+#include <fstream.hfa>
+#include <stdlib.hfa>
+#include <string.h>
+#include <stdio.h>
+
+unsigned int xr = 500, xc = 500, yc = 500, Processors = 1; // default values
+
+struct derived_actor { inline actor; };
+
+struct derived_msg {
+    inline message;
+    int * Z;
+	int * X;
+    int ** Y;
+};
+
+void ?{}( derived_msg & this ) {}
+void ?{}( derived_msg & this, int * Z, int * X, int ** Y ) {
+    ((message &) this){ Nodelete };
+    this.Z = Z;
+    this.X = X;
+    this.Y = Y;
+}
+
+allocation receive( derived_actor & receiver, derived_msg & msg ) {
+    for ( unsigned int i = 0; i < yc; i += 1 ) { // multiply X_row by Y_col and sum products
+        msg.Z[i] = 0;
+        for ( unsigned int j = 0; j < xc; j += 1 ) {
+            msg.Z[i] += msg.X[j] * msg.Y[j][i];
+        } // for
+    } // for
+    return Finished;
+}
+
+int main( int argc, char * argv[] ) {
+    switch ( argc ) {
+	  case 5:
+		if ( strcmp( argv[4], "d" ) != 0 ) {			// default ?
+			Processors = atoi( argv[4] );
+			if ( Processors < 1 ) goto Usage;
+		} // if
+	  case 4:
+		if ( strcmp( argv[3], "d" ) != 0 ) {			// default ?
+			xr = atoi( argv[3] );
+			if ( xr < 1 ) goto Usage;
+		} // if
+	  case 3:
+		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
+			xc = atoi( argv[2] );
+			if ( xc < 1 ) goto Usage;
+		} // if
+	  case 2:
+		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
+			yc = atoi( argv[1] );
+			if ( yc < 1 ) goto Usage;
+		} // if
+	  case 1:											// use defaults
+		break;
+	  default:
+	  Usage:
+		sout | "Usage: " | argv[0]
+			 | " [ yc (> 0) | 'd' (default " | yc
+			 | ") ] [ xc (> 0) | 'd' (default " | xc
+			 | ") ] [ xr (> 0) | 'd' (default " | xr
+			 | ") ] [ processors (> 0) | 'd' (default " | Processors
+			 | ") ]" ;
+		exit( EXIT_FAILURE );
+	} // switch
+
+    unsigned int r, c;
+	int * Z[xr], * X[xr], * Y[xc];
+
+	for ( r = 0; r < xr; r += 1 ) {						// create/initialize X matrix
+		X[r] = aalloc( xc );
+		for ( c = 0; c < xc; c += 1 ) {
+			X[r][c] = r * c % 37;						// for timing
+		} // for
+	} // for
+	for ( r = 0; r < xc; r += 1 ) {						// create/initialize Y matrix
+		Y[r] = aalloc( yc );
+		for ( c = 0; c < yc; c += 1 ) {
+			Y[r][c] = r * c % 37;						// for timing
+		} // for
+	} // for
+	for ( r = 0; r < xr; r += 1 ) {						// create Z matrix
+		Z[r] = aalloc( yc );
+	} // for
+
+    executor e{ Processors, Processors, Processors == 1 ? 1 : Processors * 16, true };
+
+    printf("starting\n");
+
+    start_actor_system( e );
+
+    printf("started\n");
+
+    derived_msg messages[xr];
+
+    derived_actor actors[xr];
+
+	for ( unsigned int r = 0; r < xr; r += 1 ) {
+		messages[r]{ Z[r], X[r], Y };
+	} // for
+
+	for ( unsigned int r = 0; r < xr; r += 1 ) {
+		actors[r] | messages[r];
+	} // for
+
+    printf("stopping\n");
+
+    stop_actor_system();
+
+    printf("stopped\n");
+
+    for ( r = 0; r < xr; r += 1 ) {						// deallocate X and Z matrices
+		free( X[r] );
+        free( Z[r] );
+	} // for
+	for ( r = 0; r < xc; r += 1 ) {						// deallocate Y matrix
+        free( Y[r] );
+	} // for
+
+    return 0;
+}
Index: tests/concurrency/actors/pingpong.cfa
===================================================================
--- tests/concurrency/actors/pingpong.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/actors/pingpong.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -10,9 +10,8 @@
 
 struct p_msg {
-	inline message;
-	size_t count;
+    inline message;
+    size_t count;
 };
-//static inline void ?{}( p_msg & this ) { ((message &)this){}; this.count = 0; }
-static inline void ?{}( p_msg & this ) { this.count = 0; }
+static inline void ?{}( p_msg & this ) { ((message &)this){}; this.count = 0; }
 
 ping * pi;
@@ -21,21 +20,21 @@
 
 allocation receive( ping & receiver, p_msg & msg ) {
-	msg.count++;
-	if ( msg.count > times ) return Finished;
+    msg.count++;
+    if ( msg.count > times ) return Finished;
 
-	allocation retval = Nodelete;
-	if ( msg.count == times ) retval = Finished;
-	*po | msg;
-	return retval;
+    allocation retval = Nodelete;
+    if ( msg.count == times ) retval = Finished;
+    *po | msg;
+    return retval;
 }
 
 allocation receive( pong & receiver, p_msg & msg ) {
-	msg.count++;
-	if ( msg.count > times ) return Finished;
-	
-	allocation retval = Nodelete;
-	if ( msg.count == times ) retval = Finished;
-	*pi | msg;
-	return retval;
+    msg.count++;
+    if ( msg.count > times ) return Finished;
+    
+    allocation retval = Nodelete;
+    if ( msg.count == times ) retval = Finished;
+    *pi | msg;
+    return retval;
 }
 
@@ -43,17 +42,19 @@
 
 int main( int argc, char * argv[] ) {
-	sout | "start";
+    printf("start\n");
 
-	processor p[Processors - 1];
+    processor p[Processors - 1];
 
-	start_actor_system( Processors ); // test passing number of processors
-	ping pi_actor;
-	pong po_actor;
-	po = &po_actor;
-	pi = &pi_actor;
-	p_msg m;
-	pi_actor | m;
-	stop_actor_system();
+    start_actor_system( Processors ); // test passing number of processors
 
-	sout | "end";
+    ping pi_actor;
+    pong po_actor;
+    po = &po_actor;
+    pi = &pi_actor;
+    p_msg m;
+    pi_actor | m;
+    stop_actor_system();
+
+    printf("end\n");
+    return 0;
 }
Index: tests/concurrency/actors/poison.cfa
===================================================================
--- tests/concurrency/actors/poison.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/actors/poison.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -11,39 +11,40 @@
 
 int main() {
-	sout | "Start";
+    sout | "Start";
 
-	sout | "Finished";
-	{
-		start_actor_system();
-		Server s[10];
-		for ( i; 10 ) {
-			s[i] | finished_msg;
-		}
-		stop_actor_system();
-	}
+    sout | "Finished";
+    {
+        start_actor_system();
+        Server s[10];
+        for ( i; 10 ) {
+            s[i] | finished_msg;
+        }
+        stop_actor_system();
+    }
 
-	sout | "Delete";
-	{
-		start_actor_system();
-		for ( i; 10 ) {
-			Server * s = alloc();
-			(*s){};
-			(*s) | delete_msg;
-		}
-		stop_actor_system();
-	}
+    sout | "Delete";
+    {
+        start_actor_system();
+        for ( i; 10 ) {
+            Server * s = alloc();
+            (*s){};
+            (*s) | delete_msg;
+        }
+        stop_actor_system();
+    }
 
-	sout | "Destroy";
-	{
-		start_actor_system();
-		Server s[10];
-		for ( i; 10 )
-			s[i] | destroy_msg;
-		stop_actor_system();
-		for ( i; 10 )
-			if (s[i].val != 777)
-				sout | "Error: dtor not called correctly.";
-	}
+    sout | "Destroy";
+    {
+        start_actor_system();
+        Server s[10];
+        for ( i; 10 )
+            s[i] | destroy_msg;
+        stop_actor_system();
+        for ( i; 10 )
+            if (s[i].val != 777)
+                sout | "Error: dtor not called correctly.";
+    }
 
-	sout | "Done";
+    sout | "Done";
+    return 0;
 }
Index: tests/concurrency/actors/static.cfa
===================================================================
--- tests/concurrency/actors/static.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/actors/static.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -9,54 +9,58 @@
 struct derived_actor { inline actor; };
 struct derived_msg {
-	inline message;
-	int cnt;
+    inline message;
+    int cnt;
 };
 
 void ?{}( derived_msg & this, int cnt ) {
-	set_allocation( this, Nodelete );
-	this.cnt = cnt;
+    ((message &) this){ Nodelete };
+    this.cnt = cnt;
 }
 void ?{}( derived_msg & this ) { ((derived_msg &)this){ 0 }; }
 
 allocation receive( derived_actor & receiver, derived_msg & msg ) {
-	if ( msg.cnt >= Times ) {
-		sout | "Done";
-		return Finished;
-	}
-	msg.cnt++;
-	receiver | msg;
-	return Nodelete;
+    if ( msg.cnt >= Times ) {
+        sout | "Done";
+        return Finished;
+    }
+    msg.cnt++;
+    receiver | msg;
+    return Nodelete;
 }
 
 int main( int argc, char * argv[] ) {
-	switch ( argc ) {
+    switch ( argc ) {
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Times = ato( argv[1] );
-			if ( Times < 1 ) fallthru default;
+			Times = atoi( argv[1] );
+			if ( Times < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0] | " [ times (> 0) ]";
+	  Usage:
+		sout | "Usage: " | argv[0] | " [ times (> 0) ]";
+		exit( EXIT_FAILURE );
 	} // switch
 
-	sout | "starting";
+    printf("starting\n");
 
-	executor e{ 0, 1, 1, false };
-	start_actor_system( e );
+    executor e{ 0, 1, 1, false };
+    start_actor_system( e );
 
-	sout | "started";
+    printf("started\n");
 
-	derived_msg msg;
+    derived_msg msg;
 
-	derived_actor actor;
+    derived_actor actor;
 
-	actor | msg;
+    actor | msg;
 
-	sout | "stopping";
+    printf("stopping\n");
 
-	stop_actor_system();
+    stop_actor_system();
 
-	sout | "stopped";
+    printf("stopped\n");
+
+    return 0;
 }
Index: tests/concurrency/actors/types.cfa
===================================================================
--- tests/concurrency/actors/types.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/actors/types.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -9,34 +9,34 @@
 
 struct derived_actor {
-	inline actor;
-	int counter;
+    inline actor;
+    int counter;
 };
 static inline void ?{}( derived_actor & this ) { ((actor &)this){}; this.counter = 0; }
 
 struct d_msg {
-	inline message;
-	int num;
+    inline message;
+    int num;
 };
 
 // this isn't a valid receive routine since int is not a message type
 allocation receive( derived_actor & receiver, int i ) with( receiver ) {
-	mutex(sout) sout | i;
-	counter++;
-	if ( counter == 2 ) return Finished;
-	return Nodelete; 
+    mutex(sout) sout | i;
+    counter++;
+    if ( counter == 2 ) return Finished;
+    return Nodelete; 
 }
 
 allocation receive( derived_actor & receiver, d_msg & msg ) {
-	return receive( receiver, msg.num );
+    return receive( receiver, msg.num );
 }
 
 struct derived_actor2 {
-	struct nested { int i; }; // testing nested before inline
-	inline actor;
+    struct nested { int i; }; // testing nested before inline
+    inline actor;
 };
 
 allocation receive( derived_actor2 & receiver, d_msg & msg ) {
-	mutex(sout) sout | msg.num;
-	return Finished;
+    mutex(sout) sout | msg.num;
+    return Finished;
 }
 
@@ -44,17 +44,17 @@
 struct derived_actor4 { inline derived_actor3; };
 struct d_msg2 {
-	inline message;
-	int num;
+    inline message;
+    int num;
 };
 
 allocation receive( derived_actor3 & receiver, d_msg & msg ) {
-	mutex(sout) sout | msg.num;
-	if ( msg.num == -1 ) return Nodelete;
-	return Finished;
+    mutex(sout) sout | msg.num;
+    if ( msg.num == -1 ) return Nodelete;
+    return Finished;
 }
 
 allocation receive( derived_actor3 & receiver, d_msg2 & msg ) {
-	mutex(sout) sout | msg.num;
-	return Finished;
+    mutex(sout) sout | msg.num;
+    return Finished;
 }
 
@@ -62,66 +62,67 @@
 
 int main( int argc, char * argv[] ) {
-	sout | "start";
+    printf("start\n");
 
-	processor p[Processors - 1];
+    processor p[Processors - 1];
 
-	sout | "basic test"; 
-	start_actor_system( Processors ); // test passing number of processors
-	derived_actor a;
-	d_msg b, c;
-	b.num = 1;
-	c.num = 2;
-	a | b | c;
-	stop_actor_system();
+    printf("basic test\n"); 
+    start_actor_system( Processors ); // test passing number of processors
+    derived_actor a;
+    d_msg b, c;
+    b.num = 1;
+    c.num = 2;
+    a | b | c;
+    stop_actor_system();
 
-	sout | "same message and different actors test";
-	start_actor_system(); // let system detect # of processors
-	derived_actor2 d_ac2_0, d_ac2_1;
-	d_msg d_ac2_msg;
-	d_ac2_msg.num = 3;
-	d_ac2_0 | d_ac2_msg;
-	d_ac2_1 | d_ac2_msg;
-	stop_actor_system();
+    printf("same message and different actors test\n");
+    start_actor_system(); // let system detect # of processors
+    derived_actor2 d_ac2_0, d_ac2_1;
+    d_msg d_ac2_msg;
+    d_ac2_msg.num = 3;
+    d_ac2_0 | d_ac2_msg;
+    d_ac2_1 | d_ac2_msg;
+    stop_actor_system();
 
-	
-	{
-		sout | "same message and different actor types test";
-		executor e{ 0, Processors, Processors == 1 ? 1 : Processors * 4, false };
-		start_actor_system( e ); // pass an explicit executor
-		derived_actor2 d_ac2_2;
-		derived_actor3 d_ac3_0;
-		d_msg d_ac23_msg;
-		d_ac23_msg.num = 4;
-		d_ac3_0 | d_ac23_msg;
-		d_ac2_2 | d_ac23_msg;
-		stop_actor_system();
-	} // RAII to clean up executor
+    
+    {
+        printf("same message and different actor types test\n");
+        executor e{ 0, Processors, Processors == 1 ? 1 : Processors * 4, false };
+        start_actor_system( e ); // pass an explicit executor
+        derived_actor2 d_ac2_2;
+        derived_actor3 d_ac3_0;
+        d_msg d_ac23_msg;
+        d_ac23_msg.num = 4;
+        d_ac3_0 | d_ac23_msg;
+        d_ac2_2 | d_ac23_msg;
+        stop_actor_system();
+    } // RAII to clean up executor
 
-	{
-		sout | "different message types, one actor test";
-		executor e{ 1, Processors, Processors == 1 ? 1 : Processors * 4, true };
-		start_actor_system( Processors );
-		derived_actor3 a3;
-		d_msg b1;
-		d_msg2 c2;
-		b1.num = -1;
-		c2.num = 5;
-		a3 | b1 | c2;
-		stop_actor_system();
-	} // RAII to clean up executor
+    {
+        printf("different message types, one actor test\n");
+        executor e{ 1, Processors, Processors == 1 ? 1 : Processors * 4, true };
+        start_actor_system( Processors );
+        derived_actor3 a3;
+        d_msg b1;
+        d_msg2 c2;
+        b1.num = -1;
+        c2.num = 5;
+        a3 | b1 | c2;
+        stop_actor_system();
+    } // RAII to clean up executor
 
-	{
-		sout | "nested inheritance actor test";
-		executor e{ 1, Processors, Processors == 1 ? 1 : Processors * 4, true };
-		start_actor_system( Processors );
-		derived_actor4 a4;
-		d_msg b1;
-		d_msg2 c2;
-		b1.num = -1;
-		c2.num = 5;
-		a4 | b1 | c2;
-		stop_actor_system();
-	} // RAII to clean up executor
+    {
+        printf("nested inheritance actor test\n");
+        executor e{ 1, Processors, Processors == 1 ? 1 : Processors * 4, true };
+        start_actor_system( Processors );
+        derived_actor4 a4;
+        d_msg b1;
+        d_msg2 c2;
+        b1.num = -1;
+        c2.num = 5;
+        a4 | b1 | c2;
+        stop_actor_system();
+    } // RAII to clean up executor
 
-	sout | "end";
+    printf("end\n");
+    return 0;
 }
Index: tests/concurrency/channels/barrier.cfa
===================================================================
--- tests/concurrency/channels/barrier.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/barrier.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -8,5 +8,5 @@
 
 size_t total_operations = 0;
-ssize_t Processors = 1, Tasks = 5, BarrierSize = 2;		// must be signed
+int Processors = 1, Tasks = 5, BarrierSize = 2;
 
 typedef channel( int ) Channel;
@@ -65,19 +65,21 @@
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			BarrierSize = ato( argv[2] );
-            if ( Processors < 1 ) fallthru default;
+			BarrierSize = atoi( argv[2] );
+            if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[1] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors (> 0) | 'd' (default " | Processors
 			 | ") ] [ BarrierSize (> 0) | 'd' (default " | BarrierSize
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
     if ( Tasks < BarrierSize )
Index: tests/concurrency/channels/big_elems.cfa
===================================================================
--- tests/concurrency/channels/big_elems.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/big_elems.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -2,5 +2,5 @@
 #include "parallel_harness.hfa"
 
-ssize_t Processors = 10, Channels = 10, Producers = 40, Consumers = 40, ChannelSize = 128;
+size_t Processors = 10, Channels = 10, Producers = 40, Consumers = 40, ChannelSize = 128;
 
 int main() {
Index: tests/concurrency/channels/churn.cfa
===================================================================
--- tests/concurrency/channels/churn.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/churn.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -7,5 +7,5 @@
 #include <time.hfa>
 
-ssize_t Processors = 1, Channels = 4, Producers = 2, Consumers = 2, ChannelSize = 128;
+size_t Processors = 1, Channels = 4, Producers = 2, Consumers = 2, ChannelSize = 128;
 
 owner_lock o;
@@ -90,25 +90,27 @@
       case 4:
 		if ( strcmp( argv[3], "d" ) != 0 ) {			// default ?
-			ChannelSize = ato( argv[3] );
-			if ( ChannelSize < 1 ) fallthru default;
+			if ( atoi( argv[3] ) < 1 ) goto Usage;
+			ChannelSize = atoi( argv[3] );
 		} // if
       case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			Channels = ato( argv[2] );
-			if ( Channels < 1 ) fallthru default;
+			if ( atoi( argv[2] ) < 1 ) goto Usage;
+			Channels = atoi( argv[2] );
 		} // if
       case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			if ( atoi( argv[1] ) < 1 ) goto Usage;
+			Processors = atoi( argv[1] );
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors > 0 | d ]"
              | " [ producers > 0 | d ]"
              | " [ consumers > 0 | d ]"
              | " [ channels > 0 | d ]";
+		exit( EXIT_FAILURE );
     }
     processor p[Processors - 1];
Index: tests/concurrency/channels/contend.cfa
===================================================================
--- tests/concurrency/channels/contend.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/contend.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -127,21 +127,21 @@
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			ChannelSize = ato( argv[2] );
-			if ( ChannelSize < 1 ) fallthru default;
+			ChannelSize = atoi( argv[2] );
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[1] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors (> 0) | 'd' (default " | Processors
 			 | ") ] [ channel size (>= 0) | 'd' (default " | ChannelSize
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
-
     test(Processors, Channels, Producers, Consumers, ChannelSize);
 }
Index: tests/concurrency/channels/daisy_chain.cfa
===================================================================
--- tests/concurrency/channels/daisy_chain.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/daisy_chain.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -8,5 +8,5 @@
 
 size_t total_operations = 0;
-ssize_t Processors = 1, Tasks = 4;						// must be signed
+size_t Processors = 1, Tasks = 4;
 
 owner_lock o;
@@ -37,19 +37,21 @@
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			Tasks = ato( argv[2] );
-            if ( Tasks < 1 ) fallthru default;
+			Tasks = atoi( argv[2] );
+            if ( Tasks < 1 ) goto Usage;
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[1] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors (> 0) | 'd' (default " | Processors
 			 | ") ] [ channel size (>= 0) | 'd' (default " | Tasks
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
     processor proc[Processors - 1];
@@ -69,3 +71,5 @@
     // sout | total_operations;
     sout | "done";
+
+    return 0;
 }
Index: tests/concurrency/channels/hot_potato.cfa
===================================================================
--- tests/concurrency/channels/hot_potato.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/hot_potato.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -8,5 +8,5 @@
 
 size_t total_operations = 0;
-ssize_t Processors = 1, Tasks = 4;						// must be signed
+size_t Processors = 1, Tasks = 4;
 
 owner_lock o;
@@ -38,25 +38,27 @@
 }
 
+
 int main( int argc, char * argv[] ) {
     switch ( argc ) {
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			Tasks = ato( argv[2] );
-            if ( Tasks < 1 ) fallthru default;
+			Tasks = atoi( argv[2] );
+            if ( Tasks < 1 ) goto Usage;
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[1] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors (> 0) | 'd' (default " | Processors
 			 | ") ] [ channel size (>= 0) | 'd' (default " | Tasks
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
-
     processor proc[Processors - 1];
 
Index: tests/concurrency/channels/pub_sub.cfa
===================================================================
--- tests/concurrency/channels/pub_sub.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/channels/pub_sub.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -87,19 +87,21 @@
 	  case 3:
 		if ( strcmp( argv[2], "d" ) != 0 ) {			// default ?
-			Tasks = ato( argv[2] );
-            if ( Tasks < 1 ) fallthru default;
+			Tasks = atoi( argv[2] );
+            if ( Tasks < 1 ) goto Usage;
 		} // if
 	  case 2:
 		if ( strcmp( argv[1], "d" ) != 0 ) {			// default ?
-			Processors = ato( argv[1] );
-			if ( Processors < 1 ) fallthru default;
+			Processors = atoi( argv[1] );
+			if ( Processors < 1 ) goto Usage;
 		} // if
 	  case 1:											// use defaults
 		break;
 	  default:
-		exit | "Usage: " | argv[0]
+	  Usage:
+		sout | "Usage: " | argv[0]
              | " [ processors (> 0) | 'd' (default " | Processors
 			 | ") ] [ Tasks (> 0) | 'd' (default " | Tasks
 			 | ") ]" ;
+		exit( EXIT_FAILURE );
 	} // switch
     BarrierSize = Tasks;
Index: tests/concurrency/examples/matrixSum.cfa
===================================================================
--- tests/concurrency/examples/matrixSum.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/examples/matrixSum.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -10,9 +10,10 @@
 // Created On       : Mon Oct  9 08:29:28 2017
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Fri Sep  8 19:05:34 2023
-// Update Count     : 19
+// Last Modified On : Wed Feb 20 08:37:53 2019
+// Update Count     : 16
 //
 
 #include <fstream.hfa>
+#include <kernel.hfa>
 #include <thread.hfa>
 
@@ -34,20 +35,18 @@
 
 int main() {
-	const int rows = 10, cols = 1000;
+	/* const */ int rows = 10, cols = 1000;
 	int matrix[rows][cols], subtotals[rows], total = 0;
 	processor p;										// add kernel thread
 
-	for ( r; rows ) {									// initialize
+	for ( r; rows ) {
 		for ( c; cols ) {
 			matrix[r][c] = 1;
 		} // for
 	} // for
-
 	Adder * adders[rows];
 	for ( r; rows ) {									// start threads to sum rows
 		adders[r] = &(*malloc()){ matrix[r], cols, subtotals[r] };
-		// adders[r] = new( matrix[r], cols, subtotals[r] );
+//		adders[r] = new( matrix[r], cols, &subtotals[r] );
 	} // for
-
 	for ( r; rows ) {									// wait for threads to finish
 		delete( adders[r] );
@@ -58,4 +57,5 @@
 
 // Local Variables: //
+// tab-width: 4 //
 // compile-command: "cfa matrixSum.cfa" //
 // End: //
Index: tests/concurrency/unified_locking/locks.cfa
===================================================================
--- tests/concurrency/unified_locking/locks.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/unified_locking/locks.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -1,4 +1,4 @@
 #include <stdio.h>
-#include <locks.hfa>
+#include "locks.hfa"
 #include <stdlib.hfa>
 #include <thread.hfa>
Index: tests/concurrency/unified_locking/pthread_locks.cfa
===================================================================
--- tests/concurrency/unified_locking/pthread_locks.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/unified_locking/pthread_locks.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -1,4 +1,4 @@
 #include <stdio.h>
-#include <locks.hfa>
+#include "locks.hfa"
 #include <stdlib.hfa>
 #include <thread.hfa>
Index: tests/concurrency/unified_locking/test_debug.cfa
===================================================================
--- tests/concurrency/unified_locking/test_debug.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/unified_locking/test_debug.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -1,3 +1,3 @@
-#include <locks.hfa>
+#include "locks.hfa"
 
 fast_block_lock f;
Index: tests/concurrency/unified_locking/thread_test.cfa
===================================================================
--- tests/concurrency/unified_locking/thread_test.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/concurrency/unified_locking/thread_test.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -1,4 +1,4 @@
 #include <stdio.h>
-#include <locks.hfa>
+#include "locks.hfa"
 #include <stdlib.hfa>
 #include <thread.hfa>
